Subject: Re: [PATCH/FIXUP 6/2] apply: clarify read_old_data() is about no-index case

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Aug 2017 00:12:36 -0700

Torsten Bögershausen <[email-masked]> writes:

> Unless we re-define the meaning of "NULL" into "don't do CRLF conversions,
> like SAFE_CRLF_KEEP_CRLF does.

My preference is not to use NULL as any hint.  Instead, the "flag"
parameter we already pass to convert_to_git(), just like the updated
read_old_data() uses SAFE_CRLF_KEEP_CRLF to tell it that it should
not disturb existing CRLF without looking at the istate, should be
used to tell convert_to_git() to do the opposite, but do so without
looking at the istate.

Perhaps SAFE_CRLF_FALSE should be such a flag.  Or perhaps we need
to invent another flag.  I dunno.